ubuntu/+source/ghostscript:applied/ubuntu/hardy

Last commit made on 2008-04-09
Get this branch:
git clone -b applied/ubuntu/hardy https://git.launchpad.net/ubuntu/+source/ghostscript
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/hardy
Repository:
lp:ubuntu/+source/ghostscript

Recent commits

3292107... by Jamie Strandboge on 2008-04-08

Import patches-applied version 8.61.dfsg.1-1ubuntu3 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 3d4143eed52064ff0bc60f757fd61924ec94674e
Unapplied parent: 5b0ff1de1218f0cecdef453ac32fb09d2cb9d08b

New changelog entries:
  * SECURITY UPDATE: buffer overflow in color space handling code
  * debian/patches/31_CVE-2008-0411.dpatch: fix zseticcspace() to perform
    range checks
  * References
    CVE-2008-0411

5b0ff1d... by Jamie Strandboge on 2008-04-08

Import patches-unapplied version 8.61.dfsg.1-1ubuntu3 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: d944c4d8c1d6669d389e883040d266899f6ec5b3

New changelog entries:
  * SECURITY UPDATE: buffer overflow in color space handling code
  * debian/patches/31_CVE-2008-0411.dpatch: fix zseticcspace() to perform
    range checks
  * References
    CVE-2008-0411

3d4143e... by Jonathan Riddell on 2008-02-16

Import patches-applied version 8.61.dfsg.1-1ubuntu2 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 987e2fc8cee56eb91788e5ef3e7ce74f6b5bef11
Unapplied parent: d944c4d8c1d6669d389e883040d266899f6ec5b3

New changelog entries:
  * Fix debian/libgs8.shlibs for ubuntu version number

d944c4d... by Jonathan Riddell on 2008-02-16

Import patches-unapplied version 8.61.dfsg.1-1ubuntu2 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 7a44cf493680930465565348ffe1e6bd0785242d

New changelog entries:
  * Fix debian/libgs8.shlibs for ubuntu version number

987e2fc... by Till Kamppeter on 2008-02-06

Import patches-applied version 8.61.dfsg.1-1ubuntu1 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 7544e3f22bb87611a439e018d96167e4710b75cf
Unapplied parent: 7a44cf493680930465565348ffe1e6bd0785242d

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - gs-esp and gs-common depend only on ghostscript, not on ghostscript-x,
      as gs-esp had already split off gs-esp-x in Ubuntu
    - Updated the KRGB patch from HP to the newest upstream version with
      added checks for null forward device in the graphic procedures to fix
      segfault bug LP: #69905 and corrected "force banding" code in gsijs_open
      for small images (IE: hagaki in landscape).
  [Masayuki Hatta]
  * New upstream release.
  * Now pdf2dsc can handle PageLabels properly - closes: #266166
  * Bumped up Standards-Version to 3.7.3 (no physical changes).
  * NEWS, README.Debian, copyright: Revised.
  * NEWS: Fixed wrong version number - closes: #454514, #454515
  * Sorted out dpatches:
    01-09: Debian-specific patches
    10-19: Bigger 3rd party patches (KRGB & CJKV)
    20-: Temporary bug fixes (should be incorporated into the upstream)
  * debian/patches/29_gs_css_fix.dpatch: Fixes a syntax error in gs.css
    - closes: #457118
  * debian/patches/30_ps2pdf_man_improvement.dpatch: Improved manpages for
    ps2pdf - closes: #193461
  [Till Kamppeter]
  * debian/patches/09_ijs_krgb_support.dpatch: Adapted to upstream changes.
  * debian/rules: Updated CUPS-related variables for "make install" calls.
  * debian/rules: Remove /usr/include/ghostscript from the ghostscript
    package, they go into libgs-dev.
  * debian/patches/40_cups_filters_with_buffered_input.dpatch: Modified
    cups/psto* filters to let Ghostscript always use buffered input. This
    works around a Ghostscript bug which prevents printing encrypted PDF
    files with Adobe Reader 8.1.1 and Ghostscript built as shared library
    (Ghostscript bug #689577, Ubuntu bug LP: #172264)
  * debian/patches/42_print_encrypted_PDFs_from_adobe_reader_8.dpatch:
    Fixed printing of encrypted PDF files from Adobe Reader 8.1.1. This
    is the real fix now and not only a workaround. (Ghostscript bug
    #689577, Ubuntu bug LP: #172264).

7a44cf4... by Till Kamppeter on 2008-02-06

Import patches-unapplied version 8.61.dfsg.1-1ubuntu1 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 3763aab602e3bea4c2c3563b91b3a833d623486b

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - gs-esp and gs-common depend only on ghostscript, not on ghostscript-x,
      as gs-esp had already split off gs-esp-x in Ubuntu
    - Updated the KRGB patch from HP to the newest upstream version with
      added checks for null forward device in the graphic procedures to fix
      segfault bug LP: #69905 and corrected "force banding" code in gsijs_open
      for small images (IE: hagaki in landscape).
  [Masayuki Hatta]
  * New upstream release.
  * Now pdf2dsc can handle PageLabels properly - closes: #266166
  * Bumped up Standards-Version to 3.7.3 (no physical changes).
  * NEWS, README.Debian, copyright: Revised.
  * NEWS: Fixed wrong version number - closes: #454514, #454515
  * Sorted out dpatches:
    01-09: Debian-specific patches
    10-19: Bigger 3rd party patches (KRGB & CJKV)
    20-: Temporary bug fixes (should be incorporated into the upstream)
  * debian/patches/29_gs_css_fix.dpatch: Fixes a syntax error in gs.css
    - closes: #457118
  * debian/patches/30_ps2pdf_man_improvement.dpatch: Improved manpages for
    ps2pdf - closes: #193461
  [Till Kamppeter]
  * debian/patches/09_ijs_krgb_support.dpatch: Adapted to upstream changes.
  * debian/rules: Updated CUPS-related variables for "make install" calls.
  * debian/rules: Remove /usr/include/ghostscript from the ghostscript
    package, they go into libgs-dev.
  * debian/patches/40_cups_filters_with_buffered_input.dpatch: Modified
    cups/psto* filters to let Ghostscript always use buffered input. This
    works around a Ghostscript bug which prevents printing encrypted PDF
    files with Adobe Reader 8.1.1 and Ghostscript built as shared library
    (Ghostscript bug #689577, Ubuntu bug LP: #172264)
  * debian/patches/42_print_encrypted_PDFs_from_adobe_reader_8.dpatch:
    Fixed printing of encrypted PDF files from Adobe Reader 8.1.1. This
    is the real fix now and not only a workaround. (Ghostscript bug
    #689577, Ubuntu bug LP: #172264).

7544e3f... by Martin Pitt on 2008-01-30

Import patches-applied version 8.61.dfsg.1-0ubuntu5 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 8cc5dcc57d06ff476b3a39fd926b3b284a1e69f0
Unapplied parent: 3763aab602e3bea4c2c3563b91b3a833d623486b

New changelog entries:
  * debian/rules: Do not ship README.gz in ghostscript, it collides with
    ghostscript-doc. (LP: #185602, Debian #460692)

3763aab... by Martin Pitt on 2008-01-30

Import patches-unapplied version 8.61.dfsg.1-0ubuntu5 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: b5a8dcdd0ea5b9c5d0c82b0e9f4e39ddbb00bbca

New changelog entries:
  * debian/rules: Do not ship README.gz in ghostscript, it collides with
    ghostscript-doc. (LP: #185602, Debian #460692)

8cc5dcc... by Till Kamppeter on 2008-01-23

Import patches-applied version 8.61.dfsg.1-0ubuntu4 to applied/ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: a1f569bc5f5ab8813441e5039719a7757d2b1e1a
Unapplied parent: b5a8dcdd0ea5b9c5d0c82b0e9f4e39ddbb00bbca

New changelog entries:
  * debian/patches/09_ijs_krgb_support.dpatch: Updated the KRGB patch from
    HP to the newest upstream version with added checks for null forward
    device in the graphic procedures to fix segfault bug LP: #69905 and
    corrected "force banding" code in gsijs_open for small images (IE:
    hagaki in landscape).

b5a8dcd... by Till Kamppeter on 2008-01-23

Import patches-unapplied version 8.61.dfsg.1-0ubuntu4 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 6d0477de1226ce4ee4b6ca7207a5eea4a18c9315

New changelog entries:
  * debian/patches/09_ijs_krgb_support.dpatch: Updated the KRGB patch from
    HP to the newest upstream version with added checks for null forward
    device in the graphic procedures to fix segfault bug LP: #69905 and
    corrected "force banding" code in gsijs_open for small images (IE:
    hagaki in landscape).